# Utilisation sur HPC2 (Cluster du mesocentre)

Un environnement conda a été créé pour les dépendances du pipeline.

Pour charger ces dépendances:

```console
$ module load gcc/8.1.0 python/3.7.1 snakemake/5.6.0 ncbi-blast/2.2.30+ gmap/20200408
$ conda activate transfertAnnot
```

Rappel des dépendances:

* snakemake >=5.6 (via les modules)
* blast+ >=2.2 (via les modules)
* gmap >= 2020 (via les modules)
* bedtools >=2.27
* blat >=36
* biopython >=1.70
* exonerate >=2.4
* genometools >=1.5
* gffread >=0.11
* numpy >=1.12
* pandas >=0.23
* pysam >=0.15
* python >=3..5
* samtools >=1.9

```console
$ conda list
# packages in environment at /storage/groups/gdec/bin/tools/miniconda/miniconda2/envs/transfertAnnot:
#
# Name                    Version                   Build  Channel
_libgcc_mutex             0.1                        main  
bcftools                  1.9                  h47928c2_2    bioconda
bedtools                  2.27.1               he860b03_3    bioconda
biopython                 1.70                np112py35_1    bioconda
blas                      1.0                         mkl  
blat                      36                            0    bioconda
bzip2                     1.0.8                h7b6447c_0  
ca-certificates           2020.1.1                      0  
certifi                   2018.8.24                py35_1  
curl                      7.61.0               h84994c4_0  
exonerate                 2.4.0                haf93ef1_3    bioconda
freetype                  2.9.1                h8a8886c_1  
genometools-genometools   1.5.10               h470a237_1    bioconda
gettext                   0.19.8.1             hd7bead4_3  
gffread                   0.11.7               h8b12597_0    bioconda
glib                      2.63.1               h5a9c865_0  
htslib                    1.9                  h4da6232_3    bioconda
intel-openmp              2019.4                      243  
jpeg                      9b                   h024ee3a_2  
libcurl                   7.61.0               h1ad7b7a_0  
libdeflate                1.0                  h14c3975_1    bioconda
libedit                   3.1.20181209         hc058e9b_0  
libffi                    3.2.1                hd88cf55_4  
libgcc-ng                 9.1.0                hdf63c60_0  
libgfortran-ng            7.3.0                hdf63c60_0  
libpng                    1.6.37               hbc83047_0  
libssh2                   1.8.0                h9cfc8f7_4  
libstdcxx-ng              9.1.0                hdf63c60_0  
libtiff                   4.1.0                h2733197_1  
lz4-c                     1.9.2                he6710b0_0  
mkl                       2018.0.3                      1  
mmtf-python               1.0.2                    py35_0    bioconda
msgpack-python            0.5.6            py35h6bb024c_1  
ncurses                   6.1                  he6710b0_1  
numpy                     1.12.1           py35hca0bb5e_1  
olefile                   0.46                     py35_0  
openssl                   1.0.2u               h7b6447c_0  
pandas                    0.23.4           py35h04863e7_0  
pcre                      8.43                 he6710b0_0  
pillow                    5.2.0            py35heded4f4_0  
pip                       10.0.1                   py35_0  
pysam                     0.15.2           py35h0380709_0    bioconda
python                    3.5.6                hc3d631a_0  
python-dateutil           2.8.1                      py_0  
pytz                      2020.1                     py_0  
readline                  7.0                  h7b6447c_5  
reportlab                 3.5.6            py35he686d34_0  
samtools                  1.9                 h10a08f8_12    bioconda
setuptools                40.2.0                   py35_0  
six                       1.15.0                     py_0  
sqlite                    3.31.1               h7b6447c_0  
tk                        8.6.8                hbc83047_0  
wheel                     0.31.1                   py35_0  
xz                        5.2.5                h7b6447c_0  
zlib                      1.2.11               h7b6447c_3  
zstd                      1.4.4                h0b5b093_3  
```

On peut ensuite cloner le dépot et utiliser le pipeline.